Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 437084 - app-text/openjade-1.3.2-r4 - broken /usr/lib64/*.la (requires -lstdc++)
Summary: app-text/openjade-1.3.2-r4 - broken /usr/lib64/*.la (requires -lstdc++)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-03 16:58 UTC by Dominique Michel
Modified: 2019-09-17 07:15 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output of emerge --info (emerge.info,16.22 KB, text/plain)
2012-10-03 16:59 UTC, Dominique Michel
Details
one of the broken file (libogrove.la,929 bytes, text/plain)
2012-10-03 17:02 UTC, Dominique Michel
Details
broken revdep-rebuild environment (0_env.rr.broken,663 bytes, text/plain)
2012-11-27 19:45 UTC, Nick Soveiko
Details
fixes globbing issue in ld.so.conf parsing (revdep-rebuild.diff,939 bytes, patch)
2013-02-26 18:02 UTC, Andy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Michel 2012-10-03 16:58:33 UTC
After a world update. revdep-rebuild want to merge openjade again and again:

 * Checking dynamic linking consistency
[ 76% ]  *   broken /usr/lib64/libogrove.la (requires -lstdc++)
 *   broken /usr/lib64/libospgrove.la (requires -lstdc++)
 *   broken /usr/lib64/libostyle.la (requires -lstdc++)
[ 100% ]                 
 * Generated new 3_broken.rr
 * Assigning files to packages
 *   /usr/lib64/libogrove.la -> app-text/openjade
 *   /usr/lib64/libospgrove.la -> app-text/openjade
 *   /usr/lib64/libostyle.la -> app-text/openjade
 * Generated new 4_raw.rr and 4_owners.rr
 * Cleaning list of packages to rebuild
 * Generated new 4_pkgs.rr
 * Assigning packages to ebuilds
 * Generated new 4_ebuilds.rr
 * Evaluating package order
 * Generated new 5_order.rr
 * All prepared. Starting rebuild
emerge --complete-graph=y --oneshot --verbose  app-text/openjade:0
..........

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-text/openjade-1.3.2-r4  USE="-static-libs" 0 kB

Reproducible: Always

Steps to Reproduce:
1. revdep-rebuild
2.
3.
Comment 1 Dominique Michel 2012-10-03 16:59:37 UTC
Created attachment 325606 [details]
output of emerge --info
Comment 2 Dominique Michel 2012-10-03 17:02:16 UTC
Created attachment 325608 [details]
one of the broken file
Comment 3 Mike Gilbert gentoo-dev 2012-10-03 19:50:17 UTC
Looks like bug 410487. We never figured that one out, and it magically fixed itself.

Have you done any gcc upgrades or uninstalls lately?

Can you try running env-update, source /etc/profile, and revdep-rebuild after that?
Comment 4 Dominique Michel 2012-10-04 13:46:10 UTC
(In reply to comment #3)
> Looks like bug 410487. We never figured that one out, and it magically fixed
> itself.
> 
> Have you done any gcc upgrades or uninstalls lately?
I think not.
# gcc-config -l
 [1] x86_64-pc-linux-gnu-4.5.4
 [2] x86_64-pc-linux-gnu-4.6.3 *

The 4.5.4 files are from the 22 july
The 4.5.3 files are from the 14 june

> 
> Can you try running env-update, source /etc/profile, and revdep-rebuild
> after that?

It solved the problem. Thank you.
Comment 5 Mike Gilbert gentoo-dev 2012-10-04 13:53:54 UTC
Ok. I'm resolving this as invalid since it seems there was some problem with your environment.
Comment 6 Dominique Michel 2012-10-04 14:38:11 UTC
It is OK for me.

But this remain starnge... I posted this as a bug because  I get no answer at the forum and was lost.

Thank you anyway to get it solved.
Comment 7 Ulrich Fieseler 2012-11-07 13:55:11 UTC
May I add that the suggested method to get the environment right (env-update, source /etc/profile [actually, that should be `. /etc/profile' in bash, right?], revdep-rebuild) did not help for me. I only got rid of that loop after logging out, rebooting, and logging in again (this time straight from the terminal rather than su-ing from a normal user account in a konsole window which has been causing other problems at different times anyway). I also did an `emerge --sync' and `emerge -uDN' after logging in again and before running revdep-rebuild, but I don't think these two commands changed anything related to openjade (the only packages that got updated were www-plugins/adobe-flash-11.2.202.251 and kde-misc/kde-gtk-config-2.1, and the directory /usr/portage/app-text/openjade/ was not changed).

So something spooky may still be happening and should probably be tracked (despite the successful circumvention of the problem).
Comment 8 Nick Soveiko 2012-11-20 18:23:57 UTC
i can confirm the following:

1) 'sudo -i' in konsole:
broken /usr/lib/libogrove.la (requires -lstdc++)
broken /usr/lib/libospgrove.la (requires -lstdc++)
broken /usr/lib/libostyle.la (requires -lstdc++)

2) 'sudo -i' in konsole and 'env-update && source /etc/profile':
same

3) 'su -i' in konsole:
everything is fine

4) login as root from text mode console:
everything is fine

comparing the environments between shells obtained via 'sudo -i' and 'su -':

env | sort > env.sudo
env | sort > env.su
diff env.su env.sudo

17a18
> LANGUAGE=
23a25
> MAIL=/var/mail/root
24a27
> OLDPWD=/etc
37a41,44
> SUDO_COMMAND=/bin/bash
> SUDO_GID=100
> SUDO_UID=1000
> SUDO_USER=nsoveiko
40a48
> USERNAME=root
43d50
< XAUTHORITY=/root/.xauthsbo5Jf

any ideas which of these cause the problem?
Comment 9 Mike Gilbert gentoo-dev 2012-11-20 20:40:36 UTC
@tools-portage: Any ideas on this one?
Comment 10 Paul Varner (RETIRED) gentoo-dev 2012-11-20 21:19:10 UTC
Reading the revdep-rebuild code, the only way I can see this happening is if SEARCH_DIRS does not contain the directory where libstdc++.so or libstdc++.a resides.

In order to troubleshoot further, I need someone with the problem to run 'revdep-rebuild --keep-temp <all other desired options>' and look at the file /var/cache/revdep-rebuild/0_env.rr

That file contains the setting of SEARCH_DIRS that was used for that run.

revdep-rebuild builds the SEARCH_DIRS variable from the following:

1. environment
2. files in /etc/revdep-rebuild
3. ROOTPATH and PATH variables in /etc/profile.env
4. /etc/ld.so.conf

If for some reason none of those contain the directory where libstdc++.so/.a is located, then it will say that the la file is broken.
Comment 11 Mike Gilbert gentoo-dev 2012-11-20 21:41:44 UTC
FYI, libstdc++.so should be in /usr/lib/gcc/$CHOST/$GCC_VER.
Comment 12 Nick Soveiko 2012-11-27 16:47:04 UTC
(In reply to comment #11)
> FYI, libstdc++.so should be in /usr/lib/gcc/$CHOST/$GCC_VER.

after a massive system update yesterday (incl kde4.8 -> 4.9) the environment got broken again. this time around 'env-update && source /etc/profile' fixed it:

$ diff 0_env.rr.broken 0_env.rr.env-update 
12a13,15
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4
> /usr/lib/gcc/i686-pc-linux-gnu/4.4.5
> /usr/lib/gcc/i686-pc-linux-gnu/4.5.4
19,20c22
< /usr/sbin
< ld.so.conf.d/05gcc-i686-pc-linux-gnu.conf"
---
> /usr/sbin"


the weird thing is that everybody and his dog must be linked to libstdc++.so, yet the bug only exhibits on app-text/openjade. and judging from emerge history, it started specifically with app-text/openjade-1.3.2-r3

complete list of packages that got updated:

     Mon Nov 26 16:19:13 2012 >>> sys-apps/openrc-0.11.5
     Mon Nov 26 16:53:28 2012 >>> sys-apps/net-tools-1.60_p20120127084908
     Mon Nov 26 16:53:36 2012 >>> sys-devel/gcc-4.5.4
     Mon Nov 26 16:55:13 2012 >>> sys-apps/grep-2.14
     Mon Nov 26 16:55:18 2012 >>> net-misc/wget-1.14
     Mon Nov 26 17:11:05 2012 >>> media-sound/vorbisgain-0.37-r1
     Mon Nov 26 17:11:10 2012 >>> app-arch/rar-4.2.0
     Mon Nov 26 17:11:24 2012 >>> dev-libs/oniguruma-5.9.2-r1
     Mon Nov 26 17:11:28 2012 >>> kde-base/kde-env-4.9.3
     Mon Nov 26 17:11:33 2012 >>> sys-apps/hwids-20121119
     Mon Nov 26 17:11:36 2012 >>> sys-apps/module-init-tools-3.16-r2
     Mon Nov 26 17:11:56 2012 >>> x11-libs/libvdpau-0.5
     Mon Nov 26 17:12:41 2012 >>> net-firewall/iptables-1.4.16.3
     Mon Nov 26 17:12:48 2012 >>> media-libs/libmtp-1.1.5
     Mon Nov 26 17:13:01 2012 >>> media-sound/abcde-2.5.2
     Mon Nov 26 17:13:03 2012 >>> media-libs/libsoundtouch-1.7.0
     Mon Nov 26 17:13:28 2012 >>> sci-calculators/units-2.00
     Mon Nov 26 17:13:49 2012 >>> dev-python/beautifulsoup-4.1.3
     Mon Nov 26 17:13:55 2012 >>> media-video/vcdimager-0.7.23-r1
     Mon Nov 26 17:16:04 2012 >>> net-dns/bind-tools-9.9.2
     Mon Nov 26 17:16:26 2012 >>> dev-libs/nss-3.14
     Mon Nov 26 17:16:30 2012 >>> media-video/mjpegtools-2.0.0-r3
     Mon Nov 26 17:16:53 2012 >>> app-crypt/pinentry-0.8.2
     Mon Nov 26 17:17:48 2012 >>> kde-base/oxygen-icons-4.9.3
     Mon Nov 26 17:18:09 2012 >>> dev-cpp/eigen-2.0.17
     Mon Nov 26 17:18:42 2012 >>> media-libs/musicbrainz-5.0.1
     Mon Nov 26 17:19:12 2012 >>> dev-libs/grantlee-0.2.0
     Mon Nov 26 17:54:07 2012 >>> www-client/firefox-10.0.6
     Mon Nov 26 17:54:10 2012 >>> dev-util/dialog-1.1.20120706
     Mon Nov 26 17:54:43 2012 >>> app-text/libspectre-0.2.7
     Mon Nov 26 17:54:57 2012 >>> sys-fs/udev-171-r9
     Mon Nov 26 17:55:02 2012 >>> virtual/udev-171
     Mon Nov 26 17:55:44 2012 >>> sys-auth/polkit-0.107-r1
     Mon Nov 26 17:56:27 2012 >>> sys-auth/consolekit-0.4.5_p20120320-r1
     Mon Nov 26 17:57:58 2012 >>> dev-libs/soprano-2.8.0
     Mon Nov 26 18:01:28 2012 >>> app-office/akonadi-server-1.8.1
     Mon Nov 26 18:21:58 2012 >>> kde-base/kdelibs-4.9.3
     Mon Nov 26 18:24:57 2012 >>> kde-base/katepart-4.9.3
     Mon Nov 26 18:25:18 2012 >>> kde-base/kfmclient-4.9.3
     Mon Nov 26 18:25:41 2012 >>> kde-base/kdesu-4.9.3
     Mon Nov 26 18:26:20 2012 >>> kde-base/khelpcenter-4.9.3
     Mon Nov 26 18:32:00 2012 >>> kde-base/kdepimlibs-4.9.3
     Mon Nov 26 18:32:24 2012 >>> kde-base/libkworkspace-4.9.3
     Mon Nov 26 18:32:45 2012 >>> kde-base/libkonq-4.9.3
     Mon Nov 26 18:33:23 2012 >>> kde-base/kephal-4.9.3
     Mon Nov 26 18:34:09 2012 >>> kde-base/kactivities-4.9.3
     Mon Nov 26 18:34:36 2012 >>> kde-base/libkexiv2-4.9.3
     Mon Nov 26 18:34:56 2012 >>> kde-base/kcheckpass-4.9.3
     Mon Nov 26 18:36:13 2012 >>> kde-base/ksysguard-4.9.3
     Mon Nov 26 18:36:21 2012 >>> kde-base/kfind-4.9.3
     Mon Nov 26 18:36:37 2012 >>> kde-base/libkipi-4.9.3
     Mon Nov 26 18:37:57 2012 >>> kde-base/okular-4.9.3
     Mon Nov 26 18:38:12 2012 >>> kde-base/libkcompactdisc-4.9.3
     Mon Nov 26 18:38:28 2012 >>> kde-base/kcmshell-4.9.3
     Mon Nov 26 18:38:53 2012 >>> kde-base/liboxygenstyle-4.9.3
     Mon Nov 26 18:39:29 2012 >>> kde-base/libplasmagenericshell-4.9.3
     Mon Nov 26 18:42:21 2012 >>> kde-base/kwin-4.9.3
     Mon Nov 26 18:42:30 2012 >>> kde-base/libtaskmanager-4.9.3
     Mon Nov 26 18:43:00 2012 >>> kde-base/ksplash-4.9.3
     Mon Nov 26 18:43:44 2012 >>> kde-base/khotkeys-4.9.3
     Mon Nov 26 18:44:07 2012 >>> kde-base/kcminit-4.9.3
     Mon Nov 26 18:44:25 2012 >>> kde-base/kde-wallpapers-4.9.3
     Mon Nov 26 18:44:45 2012 >>> kde-base/knotify-4.9.3
     Mon Nov 26 18:45:07 2012 >>> kde-base/kwallet-4.9.3
     Mon Nov 26 18:45:44 2012 >>> kde-base/kdepim-icons-4.9.3
     Mon Nov 26 18:45:48 2012 >>> kde-base/svgpart-4.9.3
     Mon Nov 26 18:45:59 2012 >>> kde-base/keditbookmarks-4.9.3
     Mon Nov 26 18:50:22 2012 >>> kde-base/kdepim-runtime-4.9.3
     Mon Nov 26 18:51:56 2012 >>> kde-base/konqueror-4.9.3-r1
     Mon Nov 26 18:56:08 2012 >>> kde-base/kdepim-common-libs-4.9.3
     Mon Nov 26 18:56:41 2012 >>> kde-base/libkdcraw-4.9.3
     Mon Nov 26 18:57:08 2012 >>> kde-base/kontact-4.9.3
     Mon Nov 26 18:57:28 2012 >>> kde-base/phonon-kde-4.9.3
     Mon Nov 26 18:57:45 2012 >>> kde-base/kdialog-4.9.3
     Mon Nov 26 18:58:12 2012 >>> kde-base/kdeartwork-wallpapers-4.9.3
     Mon Nov 26 18:58:33 2012 >>> kde-base/kscreensaver-4.9.3
     Mon Nov 26 18:58:51 2012 >>> kde-base/kdnssd-4.9.3
     Mon Nov 26 18:59:15 2012 >>> kde-base/solid-runtime-4.9.3
     Mon Nov 26 18:59:41 2012 >>> kde-base/libplasmaclock-4.9.3
     Mon Nov 26 19:01:15 2012 >>> kde-base/solid-4.9.3
     Mon Nov 26 19:01:53 2012 >>> kde-base/plasma-runtime-4.9.3
     Mon Nov 26 19:02:23 2012 >>> kde-base/ksmserver-4.9.3
     Mon Nov 26 19:06:25 2012 >>> kde-base/plasma-workspace-4.9.3
     Mon Nov 26 19:07:03 2012 >>> kde-base/krunner-4.9.3
     Mon Nov 26 19:07:24 2012 >>> kde-base/kstartupconfig-4.9.3
     Mon Nov 26 19:07:40 2012 >>> kde-base/kdepasswd-4.9.3
     Mon Nov 26 19:08:53 2012 >>> kde-base/dolphin-4.9.3
     Mon Nov 26 19:09:19 2012 >>> kde-base/plasma-apps-4.9.3
     Mon Nov 26 19:09:35 2012 >>> kde-base/ktimezoned-4.9.3
     Mon Nov 26 19:09:55 2012 >>> kde-base/kdebase-data-4.9.3
     Mon Nov 26 19:23:18 2012 >>> kde-base/pykde4-4.9.3
     Mon Nov 26 19:26:23 2012 >>> kde-base/korganizer-4.9.3
     Mon Nov 26 19:26:27 2012 >>> kde-base/kdepim-kresources-4.9.3
     Mon Nov 26 19:26:49 2012 >>> kde-base/kcalc-4.9.3
     Mon Nov 26 19:27:04 2012 >>> kde-base/kamera-4.9.3
     Mon Nov 26 19:27:40 2012 >>> kde-base/ark-4.9.3
     Mon Nov 26 19:28:20 2012 >>> kde-base/konsole-4.9.3
     Mon Nov 26 19:29:21 2012 >>> kde-base/akregator-4.9.3
     Mon Nov 26 19:30:01 2012 >>> kde-base/kaddressbook-4.9.3
     Mon Nov 26 19:30:10 2012 >>> kde-base/kcharselect-4.9.3
     Mon Nov 26 19:31:52 2012 >>> kde-base/kalarm-4.9.3
     Mon Nov 26 19:31:59 2012 >>> kde-base/kcolorchooser-4.9.3
     Mon Nov 26 19:32:00 2012 >>> kde-base/kdegraphics-strigi-analyzer-4.9.3
     Mon Nov 26 19:34:00 2012 >>> kde-base/kolourpaint-4.9.3
     Mon Nov 26 19:34:11 2012 >>> kde-base/kgamma-4.9.3
     Mon Nov 26 19:34:29 2012 >>> kde-base/kruler-4.9.3
     Mon Nov 26 19:34:39 2012 >>> kde-base/thumbnailers-4.9.3
     Mon Nov 26 19:34:54 2012 >>> kde-base/kdegraphics-mobipocket-4.9.3
     Mon Nov 26 19:35:19 2012 >>> kde-base/ksnapshot-4.9.3
     Mon Nov 26 19:36:36 2012 >>> kde-base/gwenview-4.9.3
     Mon Nov 26 19:37:29 2012 >>> kde-base/kmix-4.9.3
     Mon Nov 26 19:37:39 2012 >>> kde-base/mplayerthumbs-4.9.3
     Mon Nov 26 19:37:54 2012 >>> kde-base/ffmpegthumbs-4.9.3
     Mon Nov 26 19:38:58 2012 >>> kde-base/juk-4.9.3
     Mon Nov 26 19:39:57 2012 >>> kde-base/kdebase-kioslaves-4.9.3
     Mon Nov 26 19:40:22 2012 >>> kde-base/kdeartwork-sounds-4.9.3
     Mon Nov 26 19:40:47 2012 >>> kde-base/kdeartwork-desktopthemes-4.9.3
     Mon Nov 26 19:41:11 2012 >>> kde-base/kdeartwork-weatherwallpapers-4.9.3
     Mon Nov 26 19:41:37 2012 >>> kde-base/kdeartwork-emoticons-4.9.3
     Mon Nov 26 19:42:14 2012 >>> kde-base/kdeartwork-styles-4.9.3
     Mon Nov 26 19:43:02 2012 >>> kde-base/kdeartwork-kscreensaver-4.9.3
     Mon Nov 26 19:43:27 2012 >>> kde-base/kdeartwork-colorschemes-4.9.3
     Mon Nov 26 19:44:20 2012 >>> kde-base/kdeartwork-iconthemes-4.9.3
     Mon Nov 26 19:44:33 2012 >>> kde-base/krfb-4.9.3
     Mon Nov 26 19:44:58 2012 >>> kde-base/krdc-4.9.3
     Mon Nov 26 19:45:14 2012 >>> kde-base/kdenetwork-filesharing-4.9.3
     Mon Nov 26 19:49:13 2012 >>> kde-base/kopete-4.9.3
     Mon Nov 26 19:50:42 2012 >>> kde-base/kget-4.9.3
     Mon Nov 26 19:50:54 2012 >>> kde-base/kreadconfig-4.9.3
     Mon Nov 26 19:52:02 2012 >>> kde-base/kstyles-4.9.3
     Mon Nov 26 19:52:53 2012 >>> kde-base/kinfocenter-4.9.3
     Mon Nov 26 19:53:15 2012 >>> kde-base/freespacenotifier-4.9.3
     Mon Nov 26 19:54:08 2012 >>> kde-base/powerdevil-4.9.3
     Mon Nov 26 19:54:31 2012 >>> kde-base/ksystraycmd-4.9.3
     Mon Nov 26 19:55:00 2012 >>> kde-base/klipper-4.9.3
     Mon Nov 26 19:55:10 2012 >>> kde-base/kde-base-artwork-4.9.3
     Mon Nov 26 19:55:28 2012 >>> kde-base/kwrite-4.9.3
     Mon Nov 26 19:55:50 2012 >>> kde-base/qguiplatformplugin_kde-4.9.3
     Mon Nov 26 19:56:11 2012 >>> kde-base/kdebase-cursors-4.9.3
     Mon Nov 26 19:56:39 2012 >>> kde-base/nsplugins-4.9.3
     Mon Nov 26 19:57:00 2012 >>> kde-base/kwrited-4.9.3
     Mon Nov 26 19:57:33 2012 >>> kde-base/kmenuedit-4.9.3
     Mon Nov 26 19:58:31 2012 >>> kde-base/kdm-4.9.3
     Mon Nov 26 19:59:55 2012 >>> kde-base/konq-plugins-4.9.3
     Mon Nov 26 20:03:56 2012 >>> kde-base/systemsettings-4.9.3
     Mon Nov 26 20:03:58 2012 >>> kde-base/kuiserver-4.9.3
     Mon Nov 26 20:04:04 2012 >>> kde-base/kfile-4.9.3
     Mon Nov 26 20:04:19 2012 >>> kde-base/kdebase-menu-4.9.3
     Mon Nov 26 20:04:34 2012 >>> kde-base/ktraderclient-4.9.3
     Mon Nov 26 20:04:51 2012 >>> kde-base/kdebugdialog-4.9.3
     Mon Nov 26 20:05:24 2012 >>> kde-base/drkonqi-4.9.3
     Mon Nov 26 20:05:39 2012 >>> kde-base/renamedlg-plugins-4.9.3
     Mon Nov 26 20:05:57 2012 >>> kde-base/kioclient-4.9.3
     Mon Nov 26 20:06:12 2012 >>> kde-base/kiconfinder-4.9.3
     Mon Nov 26 20:06:36 2012 >>> kde-base/keditfiletype-4.9.3
     Mon Nov 26 20:06:52 2012 >>> kde-base/attica-4.9.3
     Mon Nov 26 20:07:11 2012 >>> kde-base/knetattach-4.9.3
     Mon Nov 26 20:07:22 2012 >>> kde-base/kdontchangethehostname-4.9.3
     Mon Nov 26 20:07:41 2012 >>> kde-base/kpasswdserver-4.9.3
     Mon Nov 26 20:07:53 2012 >>> kde-base/kdebase-menu-icons-4.9.3
     Mon Nov 26 20:08:18 2012 >>> kde-base/kwalletd-4.9.3
     Mon Nov 26 20:08:37 2012 >>> kde-base/kglobalaccel-4.9.3
     Mon Nov 26 20:08:52 2012 >>> kde-base/knewstuff-4.9.3
     Mon Nov 26 20:09:06 2012 >>> kde-base/kdebase-desktoptheme-4.9.3
     Mon Nov 26 20:09:51 2012 >>> kde-base/kcontrol-4.9.3
     Mon Nov 26 20:10:05 2012 >>> kde-base/kquitapp-4.9.3
     Mon Nov 26 20:10:19 2012 >>> kde-base/kmimetypefinder-4.9.3
     Mon Nov 26 20:10:39 2012 >>> kde-base/kurifilter-plugins-4.9.3
     Mon Nov 26 20:10:56 2012 >>> kde-base/kstart-4.9.3
     Mon Nov 26 20:11:33 2012 >>> kde-base/superkaramba-4.9.3
     Mon Nov 26 20:12:25 2012 >>> kde-base/kdf-4.9.3
     Mon Nov 26 20:12:35 2012 >>> kde-base/kremotecontrol-4.9.3
     Mon Nov 26 20:12:50 2012 >>> kde-base/ktimer-4.9.3
     Mon Nov 26 20:13:03 2012 >>> kde-base/sweeper-4.9.3
     Mon Nov 26 20:13:25 2012 >>> kde-base/filelight-4.9.3
     Mon Nov 26 20:14:10 2012 >>> kde-base/kgpg-4.9.3
     Mon Nov 26 20:14:20 2012 >>> kde-base/printer-applet-4.9.3
     Mon Nov 26 20:14:43 2012 >>> kde-base/kcron-4.9.3
     Mon Nov 26 20:14:56 2012 >>> kde-base/system-config-printer-kde-4.9.3
     Mon Nov 26 20:15:29 2012 >>> kde-base/kuser-4.9.3
     Mon Nov 26 20:16:34 2012 >>> kde-base/ksystemlog-4.9.3
     Mon Nov 26 20:17:47 2012 >>> kde-base/knode-4.9.3
     Mon Nov 26 20:23:50 2012 >>> kde-base/kmail-4.9.3
     Mon Nov 26 20:24:19 2012 >>> kde-base/ktimetracker-4.9.3
     Mon Nov 26 20:25:10 2012 >>> kde-base/knotes-4.9.3
     Mon Nov 26 20:25:15 2012 >>> kde-base/kdepim-strigi-analyzer-4.9.3
     Mon Nov 26 20:25:49 2012 >>> kde-base/blogilo-4.9.3
     Mon Nov 26 20:26:11 2012 >>> kde-base/konsolekalendar-4.9.3
     Mon Nov 26 20:28:36 2012 >>> kde-base/kleopatra-4.9.3
     Mon Nov 26 20:28:40 2012 >>> kde-base/kdepim-l10n-4.9.3
     Mon Nov 26 20:29:01 2012 >>> kde-base/kabcclient-4.9.3
     Mon Nov 26 20:29:34 2012 >>> kde-base/akonadiconsole-4.9.3
     Mon Nov 26 20:30:38 2012 >>> kde-base/kjots-4.9.3
     Mon Nov 26 20:30:43 2012 >>> kde-base/kde-l10n-4.9.3
     Mon Nov 26 20:32:07 2012 >>> kde-base/nepomuk-core-4.9.3
     Mon Nov 26 20:32:55 2012 >>> kde-base/nepomuk-4.9.3
     Mon Nov 26 20:33:40 2012 >>> kde-base/dragon-4.9.3
     Mon Nov 26 20:33:52 2012 >>> kde-misc/customizable-weather-1.6.6
     Mon Nov 26 20:33:59 2012 >>> kde-base/kdebase-runtime-meta-4.9.3
     Mon Nov 26 20:34:02 2012 >>> kde-base/libkcddb-4.9.3
     Mon Nov 26 20:34:03 2012 >>> kde-base/kdepim-meta-4.9.3
     Mon Nov 26 20:34:36 2012 >>> kde-base/kdeadmin-meta-4.9.3
     Mon Nov 26 20:34:37 2012 >>> kde-base/kdeutils-meta-4.9.3
     Mon Nov 26 20:34:38 2012 >>> kde-base/kdenetwork-meta-4.9.3
     Mon Nov 26 20:34:43 2012 >>> kde-base/kdebase-startkde-4.9.3
     Mon Nov 26 20:35:18 2012 >>> kde-base/audiocd-kio-4.9.3
     Mon Nov 26 20:36:08 2012 >>> kde-base/kdebase-meta-4.9.3
     Mon Nov 26 20:36:27 2012 >>> kde-base/kdeartwork-meta-4.9.3
     Mon Nov 26 20:37:33 2012 >>> kde-base/kscd-4.9.3
     Mon Nov 26 20:38:24 2012 >>> kde-base/kteatime-4.9.3
     Mon Nov 26 20:38:27 2012 >>> kde-base/kdemultimedia-meta-4.9.3
     Mon Nov 26 20:39:37 2012 >>> app-editors/kile-2.1.3
     Mon Nov 26 20:39:39 2012 >>> kde-base/kdegraphics-meta-4.9.3
     Mon Nov 26 20:39:57 2012 >>> www-client/opera-12.11.1661
     Mon Nov 26 20:40:35 2012 >>> app-text/calibre-0.9.7
     Mon Nov 26 20:41:20 2012 >>> kde-base/kdeplasma-addons-4.9.3
     Mon Nov 26 20:45:22 2012 >>> kde-base/marble-4.9.3
     Mon Nov 26 20:45:26 2012 >>> net-libs/libproxy-0.4.10-r1
     Tue Nov 27 05:25:19 2012 >>> sys-apps/iproute2-3.3.0
     Tue Nov 27 05:25:48 2012 >>> media-libs/libkgeomap-2.9.0
     Tue Nov 27 05:29:06 2012 >>> media-plugins/kipi-plugins-2.9.0
     Tue Nov 27 05:40:13 2012 >>> media-gfx/digikam-2.9.0
Comment 13 Mike Gilbert gentoo-dev 2012-11-27 17:01:53 UTC
I added some code to drop the .la files in openjade-1.3.2-r5, so this largely become a non-issue once that is stable.

It might still be a problem for people who have USE=static-libs, since the .la files will remain in that case.
Comment 14 Paul Varner (RETIRED) gentoo-dev 2012-11-27 19:15:03 UTC
Can you please attach the 0_env.rr.broken file for me?
Comment 15 Nick Soveiko 2012-11-27 19:45:47 UTC
Created attachment 330756 [details]
broken revdep-rebuild environment
Comment 16 Paul Varner (RETIRED) gentoo-dev 2012-11-27 20:52:54 UTC
Based on the broken environment file, we have a revdep-rebuild bug with parsing /etc/ld.so.conf correctly.  However, I am having problems reproducing this on my system to figure out the bug, since it is not obvious in reading the code.

For reference, this is the code that parses the file:

parse_ld_so_conf() {
        # FIXME: not safe for paths with spaces
        local include
        for path in $(sed '/^#/d;s/#.*$//' < /etc/ld.so.conf); do
                if [[ $include = true ]]; then
                        for include_path in $(sed '/^#/d;s/#.*$//' /etc/${path} 2>/dev/null); do
                                echo $include_path
                        done
                        include=""
                        continue
                fi
                if [[ $path != include ]]; then
                        echo $path
                else
                        include="true"
                        continue
                fi
        done
}
Comment 17 Nick Soveiko 2012-11-27 21:10:38 UTC
next time i stumble upon this bug, i'll make sure to save /etc/ld.so.conf.
anything else that might help?
Comment 18 Paul Varner (RETIRED) gentoo-dev 2012-11-27 21:19:25 UTC
In addition to the /etc/ld.so.conf file the following would be useful:

1. Output of ls -l /etc/ld.so.conf.d/*
2. Any files under /etc/ld.so.conf.d
Comment 19 Nick Soveiko 2012-12-04 21:06:57 UTC
here's /etc/ld.so.conf that triggers the bug:

---
# ld.so.conf autogenerated by env-update; make all changes to
# contents of /etc/env.d directory
/lib
/usr/lib
/usr/local/lib
include ld.so.conf.d/*.conf
/usr/lib/OpenCL/vendors/nvidia
/usr/lib/opengl/nvidia/lib
/usr/lib/qca2
/usr/lib/qt4
/usr/games/lib
/usr/lib/fltk-1
/usr/lib/octave-3.4.3
---

> In addition to the /etc/ld.so.conf file the following would be useful:
> 
> 1. Output of ls -l /etc/ld.so.conf.d/*

-rw-r--r-- 1 root root  27 Sep 20  2011 05binutils.conf
-rw-r--r-- 1 root root 111 Nov 26 16:53 05gcc-i686-pc-linux-gnu.conf

> 2. Any files under /etc/ld.so.conf.d

::::::::::::::
/etc/ld.so.conf.d/05binutils.conf
::::::::::::::
/usr/i686-pc-linux-gnu/lib
::::::::::::::
/etc/ld.so.conf.d/05gcc-i686-pc-linux-gnu.conf
::::::::::::::
/usr/lib/gcc/i686-pc-linux-gnu/4.5.4
/usr/lib/gcc/i686-pc-linux-gnu/4.4.5
/usr/lib/gcc/i686-pc-linux-gnu/4.3.4
Comment 20 Andy 2013-02-26 18:02:44 UTC
Created attachment 340202 [details, diff]
fixes globbing issue in ld.so.conf parsing

fixes IFS and globbing issues in parse_ld_so_conf().  The outer for loop was expanding the included glob and only evaluating the first match as an include.